| AnyConnect Secure Mobility Client 5.1.1.42

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Static Public Attributes

# VPNStats Class Reference

`#include <VPNStats.h>`

List of all members.

## Public Member Functions
const std::list< RouteInfo * > & | getSecureRoutes ()
const std::list< RouteInfo * > & | getNonsecureRoutes ()
const std::list< ProtocolInfo * > & | getProtocolInfo ()
const std::list< FirewallInfo * > & | getFirewallInfo ()
const tstring & | getStatValue (tstring &label)
const tstring & | getValue (tstring &label)
## Static Public Member Functions
static tstring | getTranslatedLabel (tstring &label)
## Static Public Attributes
static tstring | State
static tstring | MgmtTunState
static tstring | TimeConnected
static tstring | SessionDisconnect
static tstring | BytesSent
static tstring | BytesReceived
static tstring | PacketsSent
static tstring | PacketsReceived
static tstring | ControlBytesSent
static tstring | ControlBytesReceived
static tstring | ControlPacketsSent
static tstring | ControlPacketsReceived
static tstring | EncryptedBytesSent
static tstring | EncryptedBytesReceived
static tstring | EncryptedPacketsSent
static tstring | EncryptedPacketsReceived
static tstring | CompressedBytesSent
static tstring | CompressedBytesReceived
static tstring | CompressedPacketsSent
static tstring | CompressedPacketsReceived
static tstring | InboundDiscarded
static tstring | OutboundDiscarded
static tstring | InboundBypassed
static tstring | OutboundBypassed
static tstring | ClientAddress
static tstring | ServerAddress
static tstring | ClientAddressV6
static tstring | ServerHostName
static tstring | ProxyAddress
static tstring | ProxyHostName
static tstring | ProxyPort
static tstring | TunnelingMode
static tstring | TunnelingModeV6
static tstring | DynamicTunnelExclusion
static tstring | DynamicTunnelInclusion
static tstring | Enabled
static tstring | Disabled
static tstring | Unconfirmed
static tstring | FipsMode
static tstring | TrustedNetworkDetectionMode
static tstring | AlwaysOnMode
static tstring | NetworkStatus
static tstring | DAPMessage
static tstring | MUSHost
static tstring | MUSStatus
static tstring | AdministrativeDomain
static tstring | ProfileName

## Detailed Description

Use this class to retrieve statistics related to the tunnel and protocol being used.

The class has two uses: it provides a consistent localized label definition mechanism and it uses this label mechanism to do values lookups.

Labels are automatically localized at application startup. See the AnyConnect Release notes for additional information on localization.

To retrieve a value for one of the labels, use the method getStatValue(). For example, to get Time connected use: getStatValue(VPNStats::TimeConnected)

## Member Function Documentation

const std::list<FirewallInfo *>& VPNStats::getFirewallInfo | ( |  | ) |

Get a list of firewall Info objects. Method returns a list of FirewallInfo pointers

Reimplemented from VPNStatsBase.

const std::list<RouteInfo *>& VPNStats::getNonsecureRoutes | ( |  | ) |

Get a list of Nonsecure Routes. Method returns a list of RouteInfo pointers

Reimplemented from VPNStatsBase.

const std::list<ProtocolInfo *>& VPNStats::getProtocolInfo | ( |  | ) |

Get a list of protocol Info objects. Method returns a list of ProtocolInfo pointers

Reimplemented from VPNStatsBase.

const std::list<RouteInfo *>& VPNStats::getSecureRoutes | ( |  | ) |

Get a list of Secure Routes. Method returns a list of RouteInfo pointers

Reimplemented from VPNStatsBase.

const tstring& VPNStats::getStatValue | ( | tstring & | label | ) |

Method used to retrieve statistics by name.

Reimplemented from VPNStatsBase.

static tstring VPNStats::getTranslatedLabel | ( | tstring & | label | ) | `[static]`

Return a translated stats label. As an example, passing VPNStats::State will return a translated label for State text.

NOTE: Do not use this translated label to retrieve stats values; it is meant only as a label translation mechanism.

const tstring& VPNStats::getValue | ( | tstring & | label | ) | `[inline]`

Alias for getStatValue.

    { return getStatValue(label); }

## Member Data Documentation

tstring VPNStats::AdministrativeDomain`[static]`

Administrative Domain Name:

- domain name of the SG that the user connects to for the first time
- "Admin Defined" if there are authorized SGs specified in the local policy file
- "Not Applicable" otherwise.

tstring VPNStats::AlwaysOnMode`[static]`

< Trusted Network Detection. Values are "Enabled" or "Disabled" Always On. Values are "Enabled" or "Disabled"

tstring VPNStats::BytesReceived`[static]`

Bytes received from the remote network.

tstring VPNStats::BytesSent`[static]`

Bytes sent to the remote network.

tstring VPNStats::ClientAddress`[static]`

Client IPv4 address.

tstring VPNStats::ClientAddressV6`[static]`

Client IPv6 address.

tstring VPNStats::CompressedBytesReceived`[static]`

Compressed bytes received from the remote network.

tstring VPNStats::CompressedBytesSent`[static]`

Compressed bytes sent to the remote network.

tstring VPNStats::CompressedPacketsReceived`[static]`

Compressed packets received from the remote network.

tstring VPNStats::CompressedPacketsSent`[static]`

Compressed packets sent to the remote network.

tstring VPNStats::ControlBytesReceived`[static]`

Control bytes received from the remote gateway.

tstring VPNStats::ControlBytesSent`[static]`

Control bytes sent to the remote gateway.

tstring VPNStats::ControlPacketsReceived`[static]`

Control packets received from the remote gateway.

tstring VPNStats::ControlPacketsSent`[static]`

Control packets sent to the remote gateway.

tstring VPNStats::DAPMessage`[static]`

DAP message received from gateway. Used for Quarantine mode, etc.

tstring VPNStats::Disabled`[static]`

tstring VPNStats::DynamicTunnelExclusion`[static]`

Domain names dynamically excluded from tunneling

tstring VPNStats::DynamicTunnelInclusion`[static]`

Domain names dynamically added to tunnel

tstring VPNStats::Enabled`[static]`

tstring VPNStats::EncryptedBytesReceived`[static]`

Encrypted bytes received from the remote network.

tstring VPNStats::EncryptedBytesSent`[static]`

Encrypted bytes sent to the remote network.

tstring VPNStats::EncryptedPacketsReceived`[static]`

Encrypted packets received from the remote network.

tstring VPNStats::EncryptedPacketsSent`[static]`

Encrypted packets sent to the remote network.

tstring VPNStats::FipsMode`[static]`

FIPS mode (Federal security standard). Values are "Enabled" or "Disabled"

tstring VPNStats::InboundBypassed`[static]`

Incoming skipped bytes.

tstring VPNStats::InboundDiscarded`[static]`

Incoming discarded bytes.

tstring VPNStats::MgmtTunState`[static]`

Current state (see VPNState) of the management VPN tunnel.

tstring VPNStats::MUSHost`[static]`

MUS Host delivered from secure gateway.

tstring VPNStats::MUSStatus`[static]`

MUS Status: Enabled, Disabled.

tstring VPNStats::NetworkStatus`[static]`

Network Status. Values include are: "No Networks Detected", "DNS Services Unavailable", "Web Authentication Required", "Proxy Authentication Required", "Access Restricted", "Access Unrestricted"

tstring VPNStats::OutboundBypassed`[static]`

Outgoing skipped bytes.

tstring VPNStats::OutboundDiscarded`[static]`

Outgoing discarded bytes.

tstring VPNStats::PacketsReceived`[static]`

Packets received from the remote network.

tstring VPNStats::PacketsSent`[static]`

Packets sent to the remote network.

tstring VPNStats::ProfileName`[static]`

Active profile name.

tstring VPNStats::ProxyAddress`[static]`

Proxy server IP address.

tstring VPNStats::ProxyHostName`[static]`

Proxy server host name.

tstring VPNStats::ProxyPort`[static]`

Port used for communicating with proxy server.

tstring VPNStats::ServerAddress`[static]`

Remote gateway IP address.

tstring VPNStats::ServerHostName`[static]`

Host name of the remote gateway.

tstring VPNStats::SessionDisconnect`[static]`

Estimate of time left until VPN session is disconnected due to ASA configured timeout.

tstring VPNStats::State`[static]`

Current state (see VPNState) of the VPN tunnel.

tstring VPNStats::TimeConnected`[static]`

Time hh:mm:ss the VPN tunnel has been active.

tstring VPNStats::TunnelingMode`[static]`

Mode IPv4 traffic is being passed over the tunnel. Values are "Tunnel All Traffic", "Split Include", "Split Exclude", "Application Tunnel", "Drop All Traffic" or "Bypass All Traffic".

tstring VPNStats::TunnelingModeV6`[static]`

Mode IPv6 traffic is being passed over the tunnel. Values are "Tunnel All Traffic", "Split Include", "Split Exclude", "Drop All Traffic" or "Bypass All Traffic".

tstring VPNStats::Unconfirmed`[static]`

Used for Secure Mobility Solution. If the WSA is not reachable from the agent, it might be due to private side proxy configuration. In such a case report Unconfirmed to the UI